<ngx-loading [show]="isLoadingUpdate" />

<div [ngClass]="[jds.mt(30), jds.mb(70), jds.mx(0)]">
  <div [ngClass]="jds.container">
    <div [ngClass]="[jds.row, jds.justifyContent('center')]">
      <div [ngClass]="[jds.col(9)]">
        <div [ngClass]="[jds.d('flex'), jds.mb(25)]">
          <h5>Profil Saya</h5>
        </div>

        <div [ngClass]="[jds.card]">
          <div [ngClass]="[jds.cardBody, jds.p(40)]">
            <div *ngIf="isLoading">
              <div
                class="wrapper-skeleton"
                *ngFor="let number of [50, 70, 30]"
              >
                <ngx-skeleton-loader
                  [theme]="{
                    width: number + '%',
                    'border-radius': '0',
                    height: '20px',
                    'margin-bottom': '5px'
                  }"
                />
              </div>
            </div>

            <ng-container *ngIf="!isLoading">
              <div
                *ngrxLet="data; let row"
                [ngClass]="[jds.d('flex')]"
              >
                <img
                  [alt]="satudataUser.name"
                  [src]="profileImage"
                  width="105"
                  height="105"
                />
                <div
                  [ngClass]="[jds.ms(48)]"
                  [style.width.%]="100"
                >
                  <h6>Informasi Akun</h6>
                  <hr />
                  <table
                    [ngClass]="[jds.table, jds.tableBorderless]"
                    role="table"
                    aria-label="My Profile"
                    aria-describedby="Table My Profile"
                  >
                    <tbody>
                      <tr>
                        <th
                          scope="row"
                          [style.width.%]="20"
                        >
                          Nama
                        </th>
                        <td [style.width.%]="3">:</td>
                        <td [ngClass]="[jds.fw('bold')]">
                          {{ row.name || '-' }}
                        </td>
                      </tr>
                      <tr>
                        <th scope="row">NIP</th>
                        <td>:</td>
                        <td [ngClass]="[jds.fw('bold')]">
                          {{ row.nip || '-' }}
                        </td>
                      </tr>
                      <tr>
                        <th scope="row">Email</th>
                        <td>:</td>
                        <td [ngClass]="[jds.fw('bold')]">
                          {{ row.email || '-' }}
                        </td>
                      </tr>
                      <tr>
                        <th scope="row">Organisasi</th>
                        <td>:</td>
                        <td [ngClass]="[jds.fw('bold')]">
                          {{ row.skpd.nama_skpd || '-' }}
                        </td>
                      </tr>
                      <tr>
                        <th scope="row">Bidang</th>
                        <td>:</td>
                        <td [ngClass]="[jds.fw('bold')]">
                          {{ row.skpd.nama_skpdsub || '-' }}
                        </td>
                      </tr>
                      <tr>
                        <th scope="row">Seksi</th>
                        <td>:</td>
                        <td [ngClass]="[jds.fw('bold')]">
                          {{ row.skpd.nama_skpdunit || '-' }}
                        </td>
                      </tr>
                      <tr>
                        <th scope="row">Role</th>
                        <td>:</td>
                        <td [ngClass]="[jds.fw('bold')]">
                          {{ row.role_title || '-' }}
                        </td>
                      </tr>
                      <tr>
                        <th scope="row">Password</th>
                        <td>:</td>
                        <td>
                          <ng-container *ngIf="!isChangePassword">
                            <div [ngClass]="[jds.fw('bold')]">**********</div>
                            <button
                              [ngClass]="[jds.button, jds.buttonPrimary]"
                              (click)="toggleChangePassword(isChangePassword)"
                              type="button"
                            >
                              Ubah Password
                            </button>
                          </ng-container>

                          <ng-container *ngIf="isChangePassword">
                            <form
                              class="form"
                              [formGroup]="myForm"
                              (ngSubmit)="onSubmit()"
                              (keydown.enter)="$event.stopPropagation()"
                            >
                              <!-- Password Lama -->
                              <div
                                *ngrxLet="f.old_password; let old_password"
                                [ngClass]="jds.mb(12)"
                              >
                                <label [ngClass]="jds.formLabel">
                                  Password Lama
                                  <span [ngClass]="jds.text('danger')">*</span>
                                </label>
                                <input
                                  [colorScheme]="colorScheme"
                                  jdsBiInput
                                  type="password"
                                  formControlName="old_password"
                                  placeholder="Password Lama"
                                />
                                <ng-container
                                  *ngIf="
                                    old_password.invalid &&
                                    (old_password.dirty || old_password.touched)
                                  "
                                >
                                  <div
                                    *ngIf="old_password.errors.required"
                                    [ngClass]="[
                                      jds.formText,
                                      jds.text('danger')
                                    ]"
                                  >
                                    Harus diisi
                                  </div>
                                </ng-container>
                              </div>

                              <!-- Password Baru -->
                              <div
                                *ngrxLet="f.new_password; let new_password"
                                [ngClass]="jds.mb(12)"
                              >
                                <label [ngClass]="jds.formLabel">
                                  Password Baru
                                  <span [ngClass]="jds.text('danger')">*</span>
                                </label>
                                <input
                                  [colorScheme]="colorScheme"
                                  jdsBiInput
                                  type="password"
                                  formControlName="new_password"
                                  placeholder="Password Baru"
                                />
                                <ng-container
                                  *ngIf="
                                    new_password.invalid &&
                                    (new_password.dirty || new_password.touched)
                                  "
                                >
                                  <div
                                    *ngIf="new_password.errors.required"
                                    [ngClass]="[
                                      jds.formText,
                                      jds.text('danger')
                                    ]"
                                  >
                                    Harus diisi
                                  </div>
                                </ng-container>
                              </div>

                              <!-- Ulangi Password Baru -->
                              <div
                                *ngrxLet="
                                  f.confirm_password;
                                  let confirm_password
                                "
                                [ngClass]="jds.mb(12)"
                              >
                                <label [ngClass]="jds.formLabel">
                                  Ulangi Password Baru
                                  <span [ngClass]="jds.text('danger')">*</span>
                                </label>
                                <input
                                  [colorScheme]="colorScheme"
                                  jdsBiInput
                                  type="password"
                                  formControlName="confirm_password"
                                  placeholder="Ulangi Password Baru"
                                />
                                <ng-container
                                  *ngIf="
                                    confirm_password.invalid &&
                                    (confirm_password.dirty ||
                                      confirm_password.touched)
                                  "
                                >
                                  <div
                                    *ngIf="confirm_password.errors.required"
                                    [ngClass]="[
                                      jds.formText,
                                      jds.text('danger')
                                    ]"
                                  >
                                    Harus diisi
                                  </div>
                                  <div
                                    *ngIf="confirm_password.errors.mustMatch"
                                    [ngClass]="[
                                      jds.formText,
                                      jds.text('danger')
                                    ]"
                                  >
                                    Password tidak sesuai
                                  </div>
                                </ng-container>
                              </div>

                              <div
                                [ngClass]="jds.d('flex')"
                                [style.gap.px]="8"
                              >
                                <button
                                  [ngClass]="[jds.button, jds.buttonDefault]"
                                  (click)="
                                    toggleChangePassword(isChangePassword)
                                  "
                                  type="button"
                                >
                                  Batal
                                </button>
                                <button
                                  [ngClass]="[jds.button, jds.buttonPrimary]"
                                  [disabled]="!myForm.valid"
                                  type="submit"
                                >
                                  Simpan
                                </button>
                              </div>
                            </form>
                          </ng-container>
                        </td>
                      </tr>
                    </tbody>
                  </table>
                </div>
              </div>
            </ng-container>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
